Subject: recent patch breaks the build ?

From: Andrew Wozniak <[email-masked]>
Date: Wed, 16 Nov 2005 12:17:11 -0500

Hello,

Have just started using git for u-boot related development. After 
downloading git-snapshot-20051116 tarball and attempting a build under 
RH7.2, I get the following failure:

gcc -o http-fetch.o -c -g -O2 -Wall -DSHA1_HEADER='<openssl/sha.h>' 
http-fetch.c
http-fetch.c: In function `fetch_alternates':
http-fetch.c:911: warning: implicit declaration of function 
`curl_multi_perform'
http-fetch.c:911: `curlm' undeclared (first use in this function)
<snip>

It appears that a recent patch "Fix for multiple alternates requests in 
http" references curlm without the necessary #ifdef USE_CURL_MULTI

I'm not that familiar with the git architecture and codebase, so any 
suggestions for a workaround are much appreciated.

Thank you